const vdCircle = () => {
	let Bar = new ProgressBar.Circle('#progress', {
		color: '#00B083',
		strokeWidth: 10,
		duration: 3000,
		trailColor: '#EEEEEE',
		trailWidth: 10,
		svgStyle: null,
		easing: 'easeInOut',
		from: {
			color: '#00B083'
		},
		to: {
			color: '#00B083'
		},
		text: {
			value: '',
			alignToBottom: false
		},
		step: (state, bar) => {
			bar.path.setAttribute('stroke', state.color);

			var value = Math.round(bar.value() * 100);

			if (value === 0) {
				bar.setText('0%');
			} else {
				bar.setText(value + "%");
			}

			bar.text.style.color = state.color;
		}
	});
	Bar.path.style.strokeLinecap = 'round';
	Bar.text.style.fontFamily = "'Open Sans', sans-serif";
	Bar.text.style.fontSize = "2rem";

	return Bar;
};

const startScan = () => {
	const request = new XMLHttpRequest();
	request.open("POST", VDWS_VIRUSDIE_AJAX_URL, true);
	request.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=UTF-8");
	request.addEventListener("readystatechange", () => {
		if (request.readyState === 4 && request.status === 200) {
			if(request.responseText != true) {
				checkScan(1);
			}
		}
	});
	request.send("action=virusdie_start_scan");
};

const checkScan = (errorcode) => {
	if (errorcode === 0) {
		document.querySelector('a.vd-learn-more').innerHTML="Go to dashboard";
		setTimeout(() => {
			window.location.replace(window.location.href + '&scanned');
		}, 10000);
	} else {
		console.log('sync error');
		window.location.replace(window.location.href + '&scan-error');
	}
};

var vdBar;

const updateScanPercent = (percent) => {
	if ( typeof(vdBar) !== 'indefined' ) {
		if (percent === 0)
			vdBar.set(percent);
		else
			vdBar.animate(percent);
	}
};

document.addEventListener('DOMContentLoaded', () => {
	
	let timerId = setInterval(() => {
		if ( VDWS_VIRUSDIE_AUTH_STATUS ) {
			vdBar = vdCircle();
			startScan();
			clearTimeout(timerId);
		}
	}, 100);

});