<?php
/**
 * Plugins primary file, in charge of including all other dependencies.
 *
 * @package Virusdie
 *
 * @wordpress-plugin
 * Plugin Name: Virusdie | One-click website security
 * Description: One-Click Website security with Virusdie Wordpress Plugin
 * Author: Virusdie
 * Version: 1.0.15
 * Requires PHP: 5.6
 * Author URI: https://virusdie.com
 * License:     GPLv2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: virusdie
 * 
 * Network: true
 */

require_once( ABSPATH . 'wp-admin/includes/plugin.php' );

// Check that the file is not accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'We\'re sorry, but you can not directly access this file.' );
}

// Set the minimum PHP version WordPress supports.
define( 'VDWS_VIRUSDIE_PHP_MIN_VERSION', '5.6.0' );

// Set the lowest PHP version still receiving security updates.
define( 'VDWS_VIRUSDIE_PHP_SUPPORTED_VERSION', '5.6.4' );

// Set the PHP version WordPress recommends.
define( 'VDWS_VIRUSDIE_PHP_REC_VERSION', '7.4' );

// Set the minimum MySQL version WordPress supports.
define( 'VDWS_VIRUSDIE_MYSQL_MIN_VERSION', '5.0' );

// Set the MySQL version WordPress recommends.
define( 'VDWS_VIRUSDIE_MYSQL_REC_VERSION', '5.6' );

// Set the plugin version.
define( 'VDWS_VIRUSDIE_PLUGIN_VERSION', '1.0.15' );

// Set the absolute path for the plugin.
define( 'VDWS_VIRUSDIE_PLUGIN_DIRECTORY', trailingslashit( plugin_dir_path( __FILE__ ) ) );

// Set the plugin URL root.
define( 'VDWS_VIRUSDIE_PLUGIN_URL', trailingslashit (plugins_url( '/', __FILE__ ) ) );

// Set the plugin slug.
define('VDWS_VIRUSDIE_PLUGIN_SLUG', 'virusdie');

// Set the plugin filename.
define( 'VDWS_VIRUSDIE_PLUGIN_FILE', 'virusdie' );

define( 'VDWS_VIRUSDIE_SITE_NAME', 'virusdie.com' );
define( 'VDWS_VIRUSDIE_SITE_URL', 'https://virusdie.com' );
define( 'VDWS_VIRUSDIE_SITE_LOGIN_PAGE', 'https://myaccount.virusdie.com/' );

// Set the REST API server
define( 'VDWS_VIRUSDIE_API_HOST', 'https://virusdie.com/api/' );
define( 'VDWS_VIRUSDIE_API_PORT', 80 );

// Set up the API Key for auth and auth-pass requests
define( 'VDWS_VIRUSDIE_SHARED_KEY', 'JTojh1Jt81K5CM94YDxYnmd7pjG4etf9Bh8vSE2zg47Sa911hu4h71adSy2yjjUF');

define( 'VDWS_VIRUSDIE_OPT_SYNCFILE', 'wdws_virusdie_syncfile' );
define( 'VDWS_VIRUSDIE_OPT_API_KEY', 'wdws_virusdie_apikey' );
define( 'VDWS_VIRUSDIE_OPT_USERS_EXISTS', 'wdws_virusdie_users' );
define( 'VDWS_VIRUSDIE_PLUGIN_ADMIN_URL', admin_url('admin.php?page=virusdie', is_ssl() ? 'https' : 'http') );

// Include class-files used by plugin.
require_once( dirname( __FILE__ ) . '/inc/class-virusdie.php' );

// Tools section.
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-api.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-user.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-site.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-behavior.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-messages.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-view.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-helper.php' );
require_once( dirname( __FILE__ ) . '/inc/tools/class-virusdie-geo.php' );

// Initialize plugin.
new VDWS_Virusdie();

// Initialize REST API Client.
new VDWS_VirusdieApiClient();

// Initialize Helpers.
new VDWS_VirusdieHelper();

// Setup up scheduled events.
register_activation_hook( __FILE__, array('VDWS_Virusdie', 'plugin_activation' ) );
register_deactivation_hook( __FILE__, array('VDWS_Virusdie', 'plugin_deactivation' ) );
register_uninstall_hook( __FILE__, array('VDWS_Virusdie', 'plugin_unistall' ) );
